View Issue Details

IDProjectCategoryView StatusLast Update
0003905unrealircdpublic2010-05-06 02:00
ReporterohnobinkiAssigned Toohnobinki 
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
PlatformlinuxOSubuntuOS Version8.04
Product Version3.2.9-RC1 
Target VersionFixed in Version3.2.9-RC1 
Summary0003905: unreal_copy() function doesn't support DEFAULT_PERMISSIONS=0
Descriptionunrealircd@csx:~/Unreal$ ./unreal start
Starting UnrealIRCd
 _ _ _ ___________ _____ _
| | | | | |_ _| ___ \/ __ \ | |
| | | |_ __ _ __ ___ __ _| | | | | |_/ /| / \/ __| |
| | | | '_ \| '__/ _ \/ _` | | | | | / | | / _` |
| |_| | | | | | | __/ (_| | |_| |_| |\ \ | \__/\ (_| |
 \___/|_| |_|_| \___|\__,_|_|\___/\_| \_| \____/\__,_|
                           v3.2.8.1
                     using TRE 0.7.5 (LGPL)
                     using OpenSSL 0.9.8g 19 Oct 2007
                     using zlib 1.2.3.3
                     using libcurl/7.18.0 OpenSSL/0.9.8g zlib/1.2.3.3 libidn/1.1

* Loading IRCd configuration ..
* unrealircd.conf:36: loadmodule modules/commands.so: failed to load: tmp/102B81B9.commands.so: cannot open shared object file: Permission denied
[error] IRCd configuration failed to load
Possible error encountered (IRCd seemingly not started)
=====================================================
Check above for possible errors, and this output of
ircd.log. If you cannot solve the problem, read
Unreal.nfo on where to get support
=====================================================
[Fri Apr 16 00:16:05 2010] - UnrealIRCd started.
[Fri Apr 16 00:16:05 2010] - TIME SYNCH: IRCd clock succesfully synchronized to known good time source [offset: -616, was: -616].
[Fri Apr 16 00:17:42 2010] - UnrealIRCd started.
[Fri Apr 16 00:17:42 2010] - TIME SYNCH: IRCd clock succesfully synchronized to known good time source [offset: -617, was: -616].
[Fri Apr 16 00:10:27 2010] - Connect - ohnobinki!ohnobinki@localhost [VHOST undisclosed-981307ED]
unrealircd@csx:~/Unreal$ umask
0022
unrealircd@csx:~/Unreal$ ls tmp
102B81B9.commands.so
unrealircd@csx:~/Unreal$ ls -lha tmp
total 3.5M
drwx------ 2 unrealircd unrealircd 4.0K 2010-04-28 00:27 .
drwx------ 7 unrealircd unrealircd 4.0K 2010-04-28 00:27 ..
---------- 1 unrealircd unrealircd 3.5M 2010-04-28 00:26 102B81B9.commands.so
unrealircd@csx:~/Unreal$ cd ..
Additional InformationDEFAULT_PERMISSIONS are supposed to be able to be set to 0 to disable unrealircd's chown() and chmod()ing of config files. This also breaks unreal_copy(). Attached is the patch.
TagsNo tags attached.
3rd party modules

Activities

ohnobinki

2010-05-06 02:00

reporter   ~0016082

- Fix -DDEFAULT_PERMISSIONS=0 support. Previously, support.c:unreal_copyfile()
  would create files with no permissions, breaking loadmodule. (0003905)

Issue History

Date Modified Username Field Change
2010-04-28 06:40 ohnobinki New Issue
2010-05-06 02:00 ohnobinki QA => Not touched yet by developer
2010-05-06 02:00 ohnobinki U4: Need for upstream patch => No need for upstream InspIRCd patch
2010-05-06 02:00 ohnobinki U4: Upstream notification of bug => Not decided
2010-05-06 02:00 ohnobinki U4: Contributor working on this => None
2010-05-06 02:00 ohnobinki Note Added: 0016082
2010-05-06 02:00 ohnobinki Assigned To => ohnobinki
2010-05-06 02:00 ohnobinki Status new => resolved
2010-05-06 02:00 ohnobinki Resolution open => fixed
2010-05-06 02:00 ohnobinki Fixed in Version => 3.2.9-RC1